Bug 666455 - Review Request: sdcv - Console version of StarDict program
Summary: Review Request: sdcv - Console version of StarDict program
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-30 22:20 UTC by Pavel Zhukov
Modified: 2012-10-18 14:09 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-13 21:13:59 UTC
lemenkov: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Pavel Zhukov 2010-12-30 22:20:32 UTC
Spec: http://repo.pclinuxos.su/fedora/rpm/sdcv.spec
SRPM: http://repo.pclinuxos.su/fedora/rpm/sdcv-0.4.2-2.fc14.src.rpm

Description: SDCV is simple, cross-platform text-base utility for work with dictionaries in StarDict's format.

That this is my first package and I need a sponsor.

Project Home Page: http://sdcv.sourceforge.net/
mock build - ok.
koji build - ok, http://koji.fedoraproject.org/koji/taskinfo?taskID=2694521

Comment 1 Pavel Zhukov 2010-12-31 12:50:34 UTC
mock build for f13 - ok 
koji build - ok http://koji.fedoraproject.org/koji/taskinfo?taskID=2694816

Comment 2 Peter Lemenkov 2011-01-12 12:23:31 UTC
Unblocking FE-NEEDSPONSOR - I just sponsored Pavel.

Comment 3 Peter Lemenkov 2011-01-12 12:24:41 UTC
I'll review it

Comment 4 Pavel Zhukov 2011-01-12 15:03:00 UTC
- rename patchs for better legibity
- fixed doc section
- fixed spec errors

SPEC: http://repo.pclinuxos.su/fedora/rpm/sdcv.spec
SRPMS: http://repo.pclinuxos.su/fedora/rpm/sdcv-0.4.2-3.fc14.src.rpm

mock: ok
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2716991

Comment 5 Peter Lemenkov 2011-01-13 11:06:32 UTC
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is silent

work ~: rpmlint Desktop/sdcv-*
sdcv.src: W: spelling-error Summary(ru) Console 
sdcv.src: W: spelling-error Summary(ru) version 
sdcv.src: W: spelling-error Summary(ru) of 
sdcv.src: W: spelling-error Summary(ru) program 
sdcv.src: W: invalid-url Source0: http://downloads.sourceforge.net/project/sdcv/sdcv/0.4.2/sdcv-0.4.2.tar.bz2 <urlopen error timed out>
sdcv.x86_64: W: spelling-error Summary(ru) Console 
sdcv.x86_64: W: spelling-error Summary(ru) version 
sdcv.x86_64: W: spelling-error Summary(ru) of 
sdcv.x86_64: W: spelling-error Summary(ru) program 
3 packages and 0 specfiles checked; 0 errors, 9 warnings.
work ~: 

All thgese messages are false positives and may be omitted.

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.

+/- The package meets the Packaging Guidelines. Just one cosmetic note - you'd better to add a line break between sections, such as between %files and %changelog. Also I don't think that installing almost empty README and (clearly not intended for end-users) TODO is useful, but it's up to you to decide whether or not to package it. Also I suggest you to package doc/DICTFILE_FORMAT as %doc file.

+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.

- The License field in the package spec file MUST match the actual license (GPLv2+). The file src/lib/distance.cpp is licensed under GPL w/o stating explicit GPL version (thuns it is licensed under GPL+), but its contents is relicensed under GPLv2+ while linking.

+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum sdcv-0.4.2.tar.bz2*
a164f079e93986814ea2d39f3a49cf9d1b71b01aad908254457fe3d0ded9deb2  sdcv-0.4.2.tar.bz2
a164f079e93986814ea2d39f3a49cf9d1b71b01aad908254457fe3d0ded9deb2  sdcv-0.4.2.tar.bz2.1
sulaco ~/rpmbuild/SOURCES: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
+ The spec file handles locales properly (by using the %find_lang macro).
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
0 The package DOESN'T have a %clean section, so it won't build cleanly on systems with old rpm. Beware.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

So, please, fix the License tag, and I'll continue. The rest of my notes are not a blocker ones.

Comment 6 Pavel Zhukov 2011-01-13 11:21:39 UTC
- fixed License tag
- added break line between changelog and files sections

SRPMS: http://landgraf.fedorapeople.org/packages/requested/sdcv/sdcv-0.4.2-4.fc14.src.rpm
SPEC: http://landgraf.fedorapeople.org/packages/requested/sdcv/sdcv.spec

Comment 7 Peter Lemenkov 2011-01-13 11:25:44 UTC
Good. I can't find any other blocking issues, so this package is

APPROVED.

Comment 8 Pavel Zhukov 2011-01-13 17:14:39 UTC
New Package CVS Request
=======================
Package Name: sdcv
Short Description: Console version of StarDict program
format
system
Owners: landgraf
Branches: F-13 F-14 
InitialCC:

Comment 9 Jason Tibbitts 2011-01-13 17:25:11 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2011-01-13 21:17:01 UTC
sdcv-0.4.2-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/sdcv-0.4.2-4.fc14

Comment 11 Fedora Update System 2011-01-13 21:17:23 UTC
sdcv-0.4.2-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/sdcv-0.4.2-4.fc13

Comment 12 Fedora Update System 2011-01-22 20:25:05 UTC
sdcv-0.4.2-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-01-22 20:26:59 UTC
sdcv-0.4.2-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Pavel Zhukov 2012-10-17 05:25:26 UTC
Package Change Request
======================
Package Name: sdcv
New Branches: el6
Owners: landgraf

Comment 15 Gwyn Ciesla 2012-10-17 12:01:38 UTC
Git done (by process-git-requests).

Comment 16 Fedora Update System 2012-10-18 14:09:02 UTC
sdcv-0.4.2-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/sdcv-0.4.2-8.el6


Note You need to log in before you can comment on or make changes to this bug.